Get provider
curl --request GET \
--url https://api.halth.com/v1/organisations/{organisationId}/providers/{providerId}import requests
url = "https://api.halth.com/v1/organisations/{organisationId}/providers/{providerId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.halth.com/v1/organisations/{organisationId}/providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"locationIds": [
"<string>"
],
"deleted": true,
"bookingsEnabled": true,
"mobileNumber": "<string>",
"email": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"profileImageUrl": "<string>",
"locationLinks": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"locationId": "<string>",
"deleted": true,
"acceptedTerms": true,
"categoryCode": "<string>",
"medicare": {
"suggestedProviderNumber": "<string>",
"providerNumber": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"registrationLetterFileId": "<string>"
},
"association": {
"registrationLetterFileId": "<string>"
}
}
],
"locations": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"timeZone": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"displayName": "<string>",
"suggestedTaxIdentifier": "<string>",
"bookingCustomText": "<string>",
"businessId": "<string>",
"business": {
"id": "<string>",
"name": "<string>",
"settings": {
"autoReconciliationEnabled": true,
"autoInviteClientsEnabled": true
},
"createdAt": "2023-11-07T05:31:56Z",
"taxIdentifier": "<string>",
"countryCode": "<string>",
"merchantId": "<string>",
"capabilities": [
{}
],
"events": {},
"websiteUrl": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"countryCode": "<string>"
}
},
"email": "<string>",
"registrations": [
{
"medicare": {
"minorId": "<string>",
"prodaLocationId": "<string>",
"providerAgreementSubmissionUrl": "<string>",
"isUsingOtherClaimSoftware": true
},
"phi": {
"phiLocationId": "<string>",
"status": "<string>"
}
}
],
"organisationId": "<string>",
"organisation": {
"id": "org_31XEcUshz1ymodA14HALnyP48g1",
"name": "Acme Healthcare",
"slug": "acme-healthcare",
"createdAt": "2023-01-15T10:30:00Z",
"bookingsEnabled": true,
"brandImageUrl": "https://example.com/brand-image.png",
"wordmarkImageUrl": "https://example.com/wordmark-image.png",
"websiteUrl": "https://example.com"
},
"isBookable": true
}
],
"registrations": [
{
"id": "<string>",
"providerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"ndis": {
"providerNumber": "<string>"
},
"medicare": {
"providerNumber": "<string>"
},
"phi": {
"providerNumber": "<string>"
}
}
]
}Provider
Get provider
Get a single provider by ID
GET
/
v1
/
organisations
/
{organisationId}
/
providers
/
{providerId}
Get provider
Query Parameters
Available options:
locationLinks, locations Response
200 - application/json
Available options:
Dr, Mr, Mrs, Ms, Miss Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
